cancel
Showing results for 
Search instead for 
Did you mean: 

How do I get a previous version of Firefox. Firefox 17 does not work with online banking

SOLVED
Highlighted
New Contributor

How do I get a previous version of Firefox. Firefox 17 does not work with online banking

How do I get a previous version of Firefox. Firefox 17 does not work with online banking edit

1 ACCEPTED SOLUTION

Accepted Solutions
New Contributor

Re: How do I get a previous version of Firefox. Firefox 17 does not work with online banking

Similarly I am now (with v 17) unable to initiate a download from a website to Quicken. At least it appears with the four different financial institutions I've tried. All of them worked before version 17. I am now on 17.0.1 so that didn't fix the problem.

22 REPLIES
Legendary Contributor

Re: How do I get a previous version of Firefox. Firefox 17 does not work with online banking

Hi rmbeesley

try to clear cookies and cache from Tools > History > Clear Recent History > Time range to clear select Everything > click on Details and check Cookies and Cache > Clear Now .

also be sure you have check mark in Accept cookies from sites[ v ] and to Accept third party cookies [ v ], see : How do I change Cookie settings?

If the above does not solve the issue, try to delete the cookies.sqlite file and any cookies.sqlite-journal files in profile folder(in case cookies are corrupted), see how to do that : Remove corrupt cookies file

thank you

New Contributor

Re: How do I get a previous version of Firefox. Firefox 17 does not work with online banking

The suggestions did not help as I have tried this before. The problem is with Firefox version 17.0. It is defective and should be removed. I need a previous version of Firefox. If I can not get a previous version of Firefox or a fix for Firefox 17.0 is not issued by Monday November 26 I will have to stop using Firefox and use another browser.

Site Moderator

Re: How do I get a previous version of Firefox. Firefox 17 does not work with online banking

please specify what you're meaning by "does not work with online banking" - what exactly is going wrong (what are you trying to do, on which web address, are there any error messages, etc.) - without this information it is impossible to troubleshoot or address the issue...

New Contributor

Re: How do I get a previous version of Firefox. Firefox 17 does not work with online banking

Using Firefox 17.0 I was able to get to my banks online banking site (www.cambrian.mb.ca) and login to my account. When I tried to do Bill payments, check History, do a Transfer I got the following error from my banks site. "We have encountered an error processing your request. Click on the back button to continue." If I clicked on the back button I would get to my main account page or get to main login page depending on what type of banking I was trying to do.

I then went to a different computer with Firefox 15 (I believe) and was able to access all banking types(Bill payment etc). I then updated this workstation to Firefox 17 and got the same problems as with the first workstation. I tried deleting all cookies, temp files and restated the computer. That did not solve anything. I call my bank for Tech support and they said there is a problem with Firefox 17.0 and no other browsers including previous version of Firefox. They said they are looking to see if there is a solution and to use another browser as a temporary fix.

I have asked the question, How do I get a previous version of Firefox, and no one has answered the question.

Regular Contributor

Re: How do I get a previous version of Firefox. Firefox 17 does not work with online banking

Site Moderator

Re: How do I get a previous version of Firefox. Firefox 17 does not work with online banking

ok ,since the problem can apparently only be reproduced logged in with an account of this bank it is difficult to access from outside what may be going wrong.

in this case i'd recommend downloading a portable version of firefox 16 & using it for this online banking site only and your main firefox 17 for everything else, until the bank can find and fix the issue.

New Contributor

Re: How do I get a previous version of Firefox. Firefox 17 does not work with online banking

Jan: Thanks for the local of previous versions of Firefox I installed Firefox 16.0.2 and the problems with online banking have been resolved.

Madperson: a portable version of Firefox is not an appropriate fix for a desktop application.

Firefox 17.0 is the problem not my bank.

Site Moderator

Re: How do I get a previous version of Firefox. Firefox 17 does not work with online banking

The portable version is indeed a useful option as it can be installed either on a usb flash drive or on hard disk. The Profile is also kept with the program folder so it basically does not interfere with the Firefox 17.0 install or and Profiles you have with 17.0.

Site Moderator

Re: How do I get a previous version of Firefox. Firefox 17 does not work with online banking

I just saw a similar question on the mozilla.support.firefox newsgroup where a Firefox 17 user was getting the error,
An unexpected system error occurred. Please try your request later. If the problem persists, please contact customer service.
(see this post on google groups)

The person contacted his bank and the bank wrote back, At this time Firefox 17.0 is not a supported browser for Meriwest Online Banking. Our IT department is reviewing this new version of Firefox. You should be able to process your request using another browser or an earlier version of Firefox.

In that case, the solution was to change the user agent string in Firefox 17 to the following, to "fool" the website into thinking it was Firefox 16:

Mozilla/6.0 (Windows NT 6.2; WOW64; rv:16.0.1) Gecko/20121011 Firefox/16.0.1

You can use the User Agent Switcher extension to do that, as an alternative to downgrading or installing Firefox Portable.

If you need help using that extension to disguise Firefox, see the Websites say that Firefox is outdated or incompatible even though it's the latest version article's "Workaround for broken websites" section. Link:
https://support.mozilla.org/kb/websites-say-firefox-outdated-or-incompatible#w_workaround-for-broken...